catalog:
  title: Open Face C++

templates:
- github
- cmake-cpp
- base

variables:
  description: Open Face from source
  keywords:
  - image processing
  - Deep learning
  - Face detection
  - Face tracking

  github.user: TadasBaltrusaitis
  github.project: OpenFace

  git.shallow?: false
  git.wipe-out-workspace?: false
  branches:
  - master
  tags:
  - OpenFace_2.2.0
  - OpenFace_2.1.0
  - OpenFace_2.0.6

  timeout/minutes: 99

  extra-provides:
  - nature: cmake
    target: openface-cpp
    version: ${version-name}
  extra-requires:
  - nature: cmake
    target: opencv
  - nature: cmake
    target: dlib
  - nature: freestyle
    target: opencv-contrib
  - nature: pkg-config
    target: gstreamer-plugins-base

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - libopenblas-dev
      - libboost-all-dev

  pre-build-hook/unix.command: |
    chmod +x download_models.sh
    ./download_models.sh
